Debian Bug report logs - #660651
general: Problems with either samba and/or cups and printing from windows

version graph

Package: samba; Maintainer for samba is Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>; Source for samba is src:samba.

Reported by: Christian Andretzky <Christian.Andretzky@MB.TU-Chemnitz.DE>

Date: Mon, 20 Feb 2012 16:24:05 UTC

Severity: important

Tags: fixed-upstream

Found in versions samba/2:3.5.6~dfsg-3squeeze6, samba/2:3.5.6~dfsg-3

Fixed in version samba/2:3.6.9-1

Forwarded to https://bugzilla.samba.org/show_bug.cgi?id=8632

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#660651; Package general. (Mon, 20 Feb 2012 16:24:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Andretzky <Christian.Andretzky@MB.TU-Chemnitz.DE>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org. (Mon, 20 Feb 2012 16:24:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christian Andretzky <Christian.Andretzky@MB.TU-Chemnitz.DE>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: general: Problems with either samba and/or cups and printing from windows
Date: Mon, 20 Feb 2012 17:22:50 +0100
Package: general
Severity: important
Tags: squeeze

Sorry for using the general tag, but I've no idea which of the named packages is responsible
for the problem.
We have a samba server as domain controler and do all printings via cups.
The cups server is located on the same machine and printing fom linux was never a problem.
For various reasons we set the set the 'cups options' switch in /etc/smb.conf to empty, so that
cups handles the print jobs from the windows client completely (not only printqueue administration)
All things work as expected with one big exception.

I'm unable to set/maintain the samba server default settings for paper size. I can do other changes
in the server settings like comment or location for the printers with no problems (I can do this from
windows either via menu or via commandline with no problems.) The result is stored in the ntprinters.tdb
But if I try to change the default paper size for the printer, it only seems to work, but it is never stored
in the ntprinters.tdb.
The big problem for me is, why (either samba or cups) think, they have to set the default paper size to letter.
Nothing in our whole configuration (neither in cups, nor in samba and in windows also) has paper sizes of the type
'letter'.
For our users this is a really frustrating and time/paper intensive problem, because many of them work with remote desktops
and dynamically created printer forwardings from remote printers to local printers. Don't ask me why, sometimes such printer
forwardings have 'letter' as default paper size.
By necessity I tried to change ntprinters.tdb with a hex editor. It seems to work, but after some time my 'A4' setting were
overwritten with letter.

If you need more details, feel free to ask.

TIA for Your help.

Christian

-- System Information:
Debian Release: 6.0.4
  APT prefers stable
  APT policy: (990, 'stable'), (500, 'stable-updates'), (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/6 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#660651; Package general. (Mon, 20 Feb 2012 18:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. (Mon, 20 Feb 2012 18:42:06 GMT) Full text and rfc822 format available.

Message #10 received at 660651@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Christian Andretzky <Christian.Andretzky@MB.TU-Chemnitz.DE>
Cc: 660651@bugs.debian.org, samba@packages.debian.org, cups@packages.debian.org
Subject: Re: Problems with either samba and/or cups and printing from windows
Date: Mon, 20 Feb 2012 12:37:52 -0600
reassign 660651 samba
tags 660651 + moreinfo
quit

Hi Christian,

Christian Andretzky wrote:

> Sorry for using the general tag, but I've no idea which of the named packages is responsible
> for the problem.

That doesn't make it a general issue.  Reassigning to samba, since
one has to start somewhere.

What versions of samba and cups do you have installed?  Can you attach
output from "reportbug --template samba"?  What does /etc/papersize
say?

Thanks for writing, and hope that helps,
Jonathan

> We have a samba server as domain controler and do all printings via
> cups.
>
> The cups server is located on the same machine and printing fom
> linux was never a problem.
>
> For various reasons we set the set the 'cups options' switch in
> /etc/smb.conf to empty, so that cups handles the print jobs from the
> windows client completely (not only printqueue administration)
>
> All things work as expected with one big exception.
>
> I'm unable to set/maintain the samba server default settings for
> paper size. I can do other changes in the server settings like
> comment or location for the printers with no problems (I can do this
> from windows either via menu or via commandline with no problems.)
> The result is stored in the ntprinters.tdb But if I try to change
> the default paper size for the printer, it only seems to work, but
> it is never stored in the ntprinters.tdb.
>
> The big problem for me is, why (either samba or cups) think, they
> have to set the default paper size to letter.
>
> Nothing in our whole configuration (neither in cups, nor in samba
> and in windows also) has paper sizes of the type 'letter'.
>
> For our users this is a really frustrating and time/paper intensive
> problem, because many of them work with remote desktops and
> dynamically created printer forwardings from remote printers to
> local printers. Don't ask me why, sometimes such printer
> forwardings have 'letter' as default paper size.
>
> By necessity I tried to change ntprinters.tdb with a hex editor. It
> seems to work, but after some time my 'A4' setting were overwritten
> with letter.
>
> If you need more details, feel free to ask.
>
> TIA for Your help.
>
> Christian
>
> -- System Information:
> Debian Release: 6.0.4
>   APT prefers stable
>   APT policy: (990, 'stable'), (500, 'stable-updates'), (500, 'testing')
> Architecture: amd64 (x86_64)
>
> Kernel: Linux 2.6.32-5-amd64 (SMP w/6 CPU cores)
> Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
> Shell: /bin/sh linked to /bin/dash




Bug reassigned from package 'general' to 'samba'. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 20 Feb 2012 18:42:07 GMT) Full text and rfc822 format available.

Added tag(s) moreinfo. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 20 Feb 2012 18:42:08 GMT) Full text and rfc822 format available.

Bug Marked as found in versions samba/2:3.5.6~dfsg-3squeeze6. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 20 Feb 2012 20:51:40 GMT) Full text and rfc822 format available.

Removed tag(s) squeeze. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 20 Feb 2012 20:51:41 GMT) Full text and rfc822 format available.

Removed tag(s) moreinfo. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 20 Feb 2012 20:51:43 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#660651; Package samba. (Mon, 20 Feb 2012 21:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Andretzky <Christian.Andretzky@MB.TU-Chemnitz.DE>:
Extra info received and forwarded to list. Copy sent to Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. (Mon, 20 Feb 2012 21:03:05 GMT) Full text and rfc822 format available.

Message #25 received at 660651@bugs.debian.org (full text, mbox):

From: Christian Andretzky <Christian.Andretzky@MB.TU-Chemnitz.DE>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 660651@bugs.debian.org, samba@packages.debian.org, cups@packages.debian.org
Subject: Re: Problems with either samba and/or cups and printing from windows
Date: Mon, 20 Feb 2012 21:45:05 +0100
[Message part 1 (text/plain, inline)]
Am 20.02.2012 19:37, schrieb Jonathan Nieder:
> reassign 660651 samba
> tags 660651 + moreinfo
> quit
> 
> Hi Christian,
> 
[...]
> What versions of samba and cups do you have installed?  Can you attach
> output from "reportbug --template samba"?  What does /etc/papersize
> say?
> 
[...]
See attached file.

Cheers, Christian
-- 
Name:  Christian Andretzky | mail:  Christian.Andretzky@MB.TU-Chemnitz.DE   |
PGP:   public key available via public key server                           |
Freedom is just another word for nothing left to lose                       |
In a world without walls and fences, there is no need for windows and gates |
"The Box said 'Windows Vista or better'. - So I installed Linux."           |
[buginfo (text/plain, attachment)]

Marked as found in versions samba/2:3.5.6~dfsg-3. Request was from Christian Perrier <bubulle@debian.org> to control@bugs.debian.org. (Thu, 10 May 2012 15:18:19 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#660651; Package samba. (Thu, 07 Jun 2012 08:51:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jörg Ludwig <joerg.ludwig@iserv.eu>:
Extra info received and forwarded to list. Copy sent to Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. (Thu, 07 Jun 2012 08:51:07 GMT) Full text and rfc822 format available.

Message #32 received at 660651@bugs.debian.org (full text, mbox):

From: Jörg Ludwig <joerg.ludwig@iserv.eu>
To: 660651@bugs.debian.org
Subject: Re: Problems with either samba and/or cups and printing from windows
Date: Thu, 07 Jun 2012 10:25:15 +0200
Hi!

We have got the same problem through the whole Samba 3.6 series.
The same bug was also in Samba 3.5.8, while Samba 3.5.9 to 3.5.11 were 
working fine.

We really need to update to 3.6, as 3.5.11 has a severe security 
vulnerability (CVE-2012-1182).

https://bugzilla.samba.org/show_bug.cgi?id=8632

-- 
Mit freundlichen Grüßen

Jörg Ludwig

IServ GmbH
Rebenring 33
38106 Braunschweig

Telefon:   0531-2243666-0
Fax:       0531-2243666-9
Mobil:     0179-9101055
E-Mail:    joerg.ludwig@iserv.eu
Internet:  iserv.eu

USt.-IdNr.:       DE265149425
Registergericht:  Amtsgericht Braunschweig
Registernummer:   HRB 201822
Geschäftsführer:  Jörg Ludwig





Set Bug forwarded-to-address to 'https://bugzilla.samba.org/show_bug.cgi?id=8632'. Request was from Ivo De Decker <ivo.dedecker@ugent.be> to control@bugs.debian.org. (Mon, 18 Jun 2012 22:16:48 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#660651; Package samba. (Wed, 29 Aug 2012 15:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arno van Amersfoort <a.c.j.van.amersfoort@eld.physics.leidenuniv.nl>:
Extra info received and forwarded to list. Copy sent to Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. (Wed, 29 Aug 2012 15:39:03 GMT) Full text and rfc822 format available.

Message #39 received at 660651@bugs.debian.org (full text, mbox):

From: Arno van Amersfoort <a.c.j.van.amersfoort@eld.physics.leidenuniv.nl>
To: 660651@bugs.debian.org
Subject: Re: Problems with either samba and/or cups and printing from windows
Date: Wed, 29 Aug 2012 17:26:01 +0200
[Message part 1 (text/html, inline)]

Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Mon, 01 Oct 2012 16:36:16 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#660651; Package samba. (Tue, 16 Apr 2013 15:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jörg Ludwig <joerg.ludwig@iserv.eu>:
Extra info received and forwarded to list. Copy sent to Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. (Tue, 16 Apr 2013 15:27:04 GMT) Full text and rfc822 format available.

Message #46 received at 660651@bugs.debian.org (full text, mbox):

From: Jörg Ludwig <joerg.ludwig@iserv.eu>
To: 660651@bugs.debian.org
Subject: Re: Problems with either samba and/or cups and printing from windows
Date: Tue, 16 Apr 2013 17:04:27 +0200
Hi!

The bug was fixed in Samba 3.6.9 (October 29, 2012):

BUG 8632: Fix builtin forms order to match Windows again.
http://www.samba.org/samba/history/samba-3.6.9.html

Unfortunately there is still no updated package for Debian squeeze.

The latest samba package for Debian with working printing support is 
3.5.11 and has a severe security vulnerability.

-- 
Mit freundlichen Grüßen,

Jörg Ludwig

IServ GmbH
Bültenweg 73
38106 Braunschweig

Telefon:     0531-2243666-0
Fax:         0531-2243666-9
Mobil:       0179-9101055
E-Mail:      joerg.ludwig@iserv.eu
Internet:    www.iserv.eu
USt.-IdNr.:  DE265149425



Marked as fixed in versions samba/2:3.6.9-1. Request was from Ivo De Decker <ivo.dedecker@ugent.be> to control@bugs.debian.org. (Thu, 02 May 2013 21:03:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#660651; Package samba. (Thu, 09 May 2013 11:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Wiltshire <jmw@tiger-computing.co.uk>:
Extra info received and forwarded to list. Copy sent to Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. (Thu, 09 May 2013 11:45:05 GMT) Full text and rfc822 format available.

Message #53 received at 660651@bugs.debian.org (full text, mbox):

From: Jonathan Wiltshire <jmw@tiger-computing.co.uk>
To: 660651@bugs.debian.org, Jörg Ludwig <joerg.ludwig@iserv.eu>
Subject: Re: Problems with either samba and/or cups and printing from windows
Date: Thu, 09 May 2013 12:13:53 +0100
> We have got the same problem through the whole Samba 3.6 series.
> The same bug was also in Samba 3.5.8, while Samba 3.5.9 to 3.5.11
> were working fine.
>
> We really need to update to 3.6, as 3.5.11 has a severe security
> vulnerability (CVE-2012-1182).

According to the security tracker [1], that CVE was fixed in DSA-2450-1 
in February.

1: https://security-tracker.debian.org/tracker/CVE-2012-1182

-- 
Jonathan Wiltshire
Tiger Computing Ltd
"Linux for Business"

Tel: 033 0088 1511
Web: http://www.tiger-computing.co.uk
Follow us on Facebook: http://www.facebook.com/TigerComputing

Registered in England. Company number: 3389961
Registered address: Wyastone Business Park,
 Wyastone Leys, Monmouth, NP25 3SR



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#660651; Package samba. (Mon, 27 May 2013 16:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jörg Ludwig <joerg.ludwig@iserv.eu>:
Extra info received and forwarded to list. Copy sent to Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. (Mon, 27 May 2013 16:27:04 GMT) Full text and rfc822 format available.

Message #58 received at 660651@bugs.debian.org (full text, mbox):

From: Jörg Ludwig <joerg.ludwig@iserv.eu>
To: Jonathan Wiltshire <jmw@tiger-computing.co.uk>
Cc: 660651@bugs.debian.org
Subject: Re: Problems with either samba and/or cups and printing from windows
Date: Mon, 27 May 2013 17:58:29 +0200
Hi,

the fixed packages are 3.5.6 for squeeze and 3.6.6 for wheezy - which 
have both broken printing support.

-- 
Mit freundlichen Grüßen,

Jörg Ludwig

IServ GmbH
Bültenweg 73
38106 Braunschweig

Telefon:     0531-2243666-0
Fax:         0531-2243666-9
Mobil:       0179-9101055
E-Mail:      joerg.ludwig@iserv.eu
Internet:    www.iserv.eu
USt.-IdNr.:  DE265149425

Am 09.05.2013 13:13, schrieb Jonathan Wiltshire:
>  > We have got the same problem through the whole Samba 3.6 series.
>  > The same bug was also in Samba 3.5.8, while Samba 3.5.9 to 3.5.11
>  > were working fine.
>  >
>  > We really need to update to 3.6, as 3.5.11 has a severe security
>  > vulnerability (CVE-2012-1182).
>
> According to the security tracker [1], that CVE was fixed in DSA-2450-1
> in February.
>
> 1: https://security-tracker.debian.org/tracker/CVE-2012-1182
>



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 03:08:01 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.